
Katello - Bug #23982

Switching orgs in redhat_repos page shows a blank page

06/18/2018 02:26 PM - Andrew Kofink

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Repositories   

Target version: Katello Recycle Bin   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases: Katello 3.7.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

1. Import manifests into two different orgs

2. Navigate to Content -> Red Hat Repositories

3. Use the org switcher at the top of the page to select the other org

Actual

Page is blank, no JS errors

ReactController#index is called, but the react controller does not call the Katello::API::V2::RepositorySets#index

Expected

Switching orgs works seamlessly. Bonus points, the page isn't reloaded at all (why are we reloading ReactController on org switch?),

but the content on the page is refreshed to display the other organization.

Related issues:

Related to Katello - Bug #22568: RH repos XUI: page crashes when in Any context Closed

Has duplicate Katello - Bug #24054: RH Subscriptions:  Changing a loc/org red... Duplicate 06/24/2018

History

#1 - 06/20/2018 05:51 PM - Jonathon Turel

- Status changed from New to Duplicate

#2 - 06/20/2018 05:51 PM - Jonathon Turel

- Related to Bug #22568: RH repos XUI: page crashes when in Any context added

#3 - 06/20/2018 05:52 PM - Jonathon Turel

- translation missing: en.field_release set to 166

#4 - 06/27/2018 05:54 PM - Andrew Kofink

- Has duplicate Bug #24054: RH Subscriptions:  Changing a loc/org redirects to a blank page  added

#5 - 07/12/2018 02:57 PM - Greg Sutcliffe

- Triaged set to No

- Found in Releases Katello 3.7.0 added
